Bug 1150152 - Review Request: rubygem-hashicorp-checkpoint - Internal HashiCorp service to check version information
Summary: Review Request: rubygem-hashicorp-checkpoint - Internal HashiCorp service to ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: František Dvořák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-07 14:23 UTC by Josef Stribny
Modified: 2016-01-04 05:53 UTC (History)
4 users (show)

Fixed In Version: rubygem-hashicorp-checkpoint-0.1.4-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 06:17:49 UTC
valtri: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Josef Stribny 2014-10-07 14:23:02 UTC
Spec URL: http://data-strzibny.rhcloud.com/rubygem-hashicorp-checkpoint.spec
SRPM URL: http://data-strzibny.rhcloud.com/rubygem-hashicorp-checkpoint-0.1.4-1.fc22.src.rpm
Description: Internal HashiCorp service to check version information.
Fedora Account System Username: jstribny

This is a Vagrant dependency, which I would like to have as a F22 feature.

Comment 1 František Dvořák 2014-10-07 21:40:48 UTC
Taking the review.

Could you review rubygem-openssl_cms https://bugzilla.redhat.com/show_bug.cgi?id=1132008 ? (or pick any other)

Comment 2 František Dvořák 2014-10-08 13:04:11 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======

- srpm file differs from spec file, the spec file has already fixed issues:
	- W: invalid-license MPL2 in Licence field
	- W: macro-in-comment %{gem_instdir}

- (not an issue) comment about C extensions is not needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 5 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Ruby:
[-]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
     Note: ruby -e "require 'checkpoint'" OK
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
[-]: Test suite of the library should be run.
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: rubygem-hashicorp-checkpoint-0.1.4-1.fc22.noarch.rpm
          rubygem-hashicorp-checkpoint-doc-0.1.4-1.fc22.noarch.rpm
          rubygem-hashicorp-checkpoint-0.1.4-1.fc22.src.rpm
rubygem-hashicorp-checkpoint.noarch: W: invalid-license MPL2
rubygem-hashicorp-checkpoint.noarch: W: no-documentation
rubygem-hashicorp-checkpoint-doc.noarch: W: invalid-license MPL2
rubygem-hashicorp-checkpoint.src: W: invalid-license MPL2
rubygem-hashicorp-checkpoint.src:54: W: macro-in-comment %{gem_instdir}
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-hashicorp-checkpoint rubygem-hashicorp-checkpoi 
nt-doc
rubygem-hashicorp-checkpoint.noarch: W: invalid-license MPL2
rubygem-hashicorp-checkpoint.noarch: W: no-documentation
rubygem-hashicorp-checkpoint-doc.noarch: W: invalid-license MPL2
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/valtri/fedora-scm/REVIEWS/rubygem-hashicorp-checkpoint/1150152-rubygem-hashicorp-checkpoint/srpm/rubygem-hashicorp-checkpoint.spec	2014-10-07 22:54:09.450305596 +0200
+++ /home/valtri/fedora-scm/REVIEWS/rubygem-hashicorp-checkpoint/1150152-rubygem-hashicorp-checkpoint/srpm-unpacked/rubygem-hashicorp-checkpoint.spec	2014-10-07 14:58:16.000000000 +0200
@@ -7,5 +7,5 @@
 Summary: Internal HashiCorp service to check version information
 Group: Development/Languages
-License: MPLv2.0
+License: MPL2
 URL: http://www.hashicorp.com
 Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
@@ -52,5 +52,5 @@
 # Run the test suite
 #%%check
-#pushd .%%{gem_instdir}
+#pushd .%{gem_instdir}
 #rspec spec
 #popd


Requires
--------
rubygem-hashicorp-checkpoint (rpmlib, GLIBC filtered):
    ruby(rubygems)

rubygem-hashicorp-checkpoint-doc (rpmlib, GLIBC filtered):
    rubygem-hashicorp-checkpoint



Provides
--------
rubygem-hashicorp-checkpoint:
    rubygem(hashicorp-checkpoint)
    rubygem-hashicorp-checkpoint

rubygem-hashicorp-checkpoint-doc:
    rubygem-hashicorp-checkpoint-doc



Source checksums
----------------
https://rubygems.org/gems/hashicorp-checkpoint-0.1.4.gem :
  CHECKSUM(SHA256) this package     : f5b0c3c303de1e2a5e7b49a8cd70dbc55ad64257c49b9f6cf817772b277b5097
  CHECKSUM(SHA256) upstream package : f5b0c3c303de1e2a5e7b49a8cd70dbc55ad64257c49b9f6cf817772b277b5097


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1150152
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===

Approved! Be careful during import the spec file is now more actual than the srpm.

Comment 3 Josef Stribny 2014-10-09 07:15:24 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: rubygem-hashicorp-checkpoint
Short Description: Internal HashiCorp service to check version information
Upstream URL: http://www.hashicorp.com
Owners: jstribny
Branches: 
InitialCC:

Comment 4 Kevin Fenzi 2014-10-13 23:26:50 UTC
Git done (by process-git-requests).

Comment 5 Michael Adam 2015-01-27 11:22:56 UTC
Package Change Request
======================
Package Name: rubygem-hashicorp-checkpoint
New Branches: f21
Owners: obnox jstribny
InitialCC: 

Need to backport this as a prerequisite for adding vagrant to f21.

Comment 6 Gwyn Ciesla 2015-01-27 14:08:07 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-01-27 19:20:50 UTC
rubygem-hashicorp-checkpoint-0.1.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rubygem-hashicorp-checkpoint-0.1.4-1.fc21

Comment 8 Fedora Update System 2015-02-09 05:31:28 UTC
rubygem-hashicorp-checkpoint-0.1.4-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Josef Stribny 2015-02-17 12:53:01 UTC
Package Change Request
======================
Package Name: rubygem-hashicorp-checkpoint
New Branches: epel7
Owners: jstribny humaton

Comment 10 Gwyn Ciesla 2015-02-17 13:52:50 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.